<?php
/**
 * 微动CMS
 * ============================================================================
 * * 版权所有 青岛微动一百网络科技有限公司，并保留所有权利。
 * 网站地址: http://bbs.weidong100.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * 更多系统：shopNR本地电商系统、微速卖-云外卖系统
 * 
*/
	//判断电脑还是手机访问
	function is_mobile(){ 
		// 如果有HTTP_X_WAP_PROFILE则一定是移动设备
		if (isset ($_SERVER['HTTP_X_WAP_PROFILE']))
		{
			return true;
		} 
		// 如果via信息含有wap则一定是移动设备,部分服务商会屏蔽该信息
		if (isset ($_SERVER['HTTP_VIA']))
		{ 
			// 找不到为flase,否则为true
			return stristr($_SERVER['HTTP_VIA'], "wap") ? true : false;
		} 
		// 脑残法，判断手机发送的客户端标志,兼容性有待提高
		if (isset ($_SERVER['HTTP_USER_AGENT']))
		{
			$clientkeywords = array ('nokia',
				'sony',
				'ericsson',
				'mot',
				'samsung',
				'htc',
				'sgh',
				'lg',
				'sharp',
				'sie-',
				'philips',
				'panasonic',
				'alcatel',
				'lenovo',
				'iphone',
				'ipod',
				'blackberry',
				'meizu',
				'android',
				'netfront',
				'symbian',
				'ucweb',
				'windowsce',
				'palm',
				'operamini',
				'operamobi',
				'openwave',
				'nexusone',
				'cldc',
				'midp',
				'wap',
				'mobile'
				); 
			// 从HTTP_USER_AGENT中查找手机浏览器的关键字
			if (preg_match("/(" . implode('|', $clientkeywords) . ")/i", strtolower($_SERVER['HTTP_USER_AGENT'])))
			{
				return true;
			} 
		} 
		// 协议法，因为有可能不准确，放到最后判断
		if (isset ($_SERVER['HTTP_ACCEPT']))
		{ 
			// 如果只支持wml并且不支持html那一定是移动设备
			// 如果支持wml和html但是wml在html之前则是移动设备
			if ((strpos($_SERVER['HTTP_ACCEPT'], 'vnd.wap.wml') !== false) && (strpos($_SERVER['HTTP_ACCEPT'], 'text/html') === false || (strpos($_SERVER['HTTP_ACCEPT'], 'vnd.wap.wml') < strpos($_SERVER['HTTP_ACCEPT'], 'text/html'))))
			{
				return true;
			} 
		} 
		return false;
	} 
	function isMobile(){
	      
	      
	      
		if(MODULE_NAME != 'Admin'){
		   if(is_mobile()){
		      C('DEFAULT_THEME','mobile/'.C('THEME_WAP'));        //Tpl下面增加default（默认电脑）  wap(手机)   .C('THEME_WAP')
		   }else{
		      C('DEFAULT_THEME','computer/'.C('THEME_PC'));         //Tpl下面增加default（默认电脑）  wap(手机)   	.C('THEME_PC')
		   }
		}
	}
	
	//后台验证方法

	/**
	 * 检查URL，包括http://
	 */
	function Url($url){
		if(!filter_var($url,FILTER_VALIDATE_URL)){
			return false;
		}else{
			return true;
		}
	}



	/**
	 * 验证正整数
	 */
	function PosInt($num){
		if(preg_match('/^[1-9][0-9]{0,}$/', $num)){
			return true;
		}else{
			return false;
		}
	}


	/**
	 * 匹配腾讯QQ号
	 */
	function qq($data){
		$pattern='/^[1-9][0-9]{4,11}$/';
		if(preg_match($pattern, $data)) {
			return true;
		}else {
			return false;
		}
	}
    //JS中读取U方法的地址
    function js_urldecode($url){
       if(C('URL_MODEL') == 0) { // 普通模式URL转换
           $url  =  $url;
        }else{ 
    	   $url  =  urldecode($url);
    	}
        return $url;
    }
?>